Subject: RE: [Sipping] RE: Hearing and Speech Impaired User Requirements for SIP Communications (David R. Oran)

From: "Guido Gybels" <[email-masked]>
Date: Mon, 01 Oct 2001 08:17:57 +0100

Dave, you wrote:

<<I can certainly envision a SIP appliance meant to be used by both
impaired and non-impaired users and hence require some user action to
tell the system what behavior is desired.>>

Well, that is just fine. That is where I consider "User Preferences" to come into matters.

<<Similarly, I can't see any way to avoid SOME extra machinery to control whether relay services are
needed or not, if only in deciding what to put in my SDP.>>

Oh, but that is ok, AFAIAC. As long as the appropriate mechanisms for signaling all of this, that is just fine. First of all, I think most of the requirements are already at least partially fulfilled by SIP. Secondly, I possibly created confusion when talking about "seamless". This does not mean that the software or the network itself can not be aware of these issues (albeit there still is the question of confidentiality and security). This simply means that the network and the protocol should allow User Agents to hide these things from the end-user (once again, I believe that SIP *can* provide most of what we ask for). As such, it is up to the manufacturers of these UAs to implement this. The only thing I would like is that the underlying protocols provide the means for them to do so (which should be no problem for SIP).

<<<Guido: And I think the whole point of this effort is to have *no* limitations for disabled people imposed on them by the underlying protocol!>>>

<<Dave: Much as I agree with the spirit of this statement, I don't know how to
achieve this, since what is a limitation for a disabled person might not
be for a regular user, or vice versa. There are always tradeoffs. Is it
also a goal to not impose limitations for non-impaired users by
accommodating the needs of impaired users? If so, perhaps we should
state this explicitly.>>

That is precisely the issue of course. Sure, there are tradeoffs, but so what?? What we are saying is that we want to make sure the mechanisms for making different kinds of users, both hearing and deaf people in this case - but others should be part of it as well - communicate with each other using various kinds of media streams in different combinations, coming into the conversation at different moments and possibly involving third party transcoders. Surely, that is a reasonable and valid requirement??

> <<"Useful sessions must be establishable <snip>>>
> 
> Seems a reasonable addition, but I'd like to see a definition 
> for "useful".
>
I would define "useful" as providing a sufficient subset of the media
required by the user to be able to communicate.

OK, but what *is* sufficient?? For a deaf person using BSL, still image in stead of RT video would not be "useful". In that case, if the preferences (and you could have an array of preferences, if the first set fails, you go to the second one and so one) specify that the connection should have RT video and that is not available, the connection should probably fail unless the user has a second set of preferences that describe an alternative.

<<Guido: I think what it means is that a UA connecting to another UA 
 should be able to determine what kind of media streams the 
 other party is either transmitting or receiving as to 
 determine to what streams it will want to connect, depending 
 on the preferences settings. >>

<Dave: Ah, that's not what I usually understand as "content". The words you use
here are quite good and would probably serve just fine as text of the
requirement.>>

Well, there seems to be a lot of confusing about "content", so you might be interested in my other posting on Friday where I expand on the radio example. I'm not just interested in identifying the nature of the stream (like what codecs are used etc.), but more in the meaning of them: a radio show being a different kind of content than for instance a private two-party conversation.

<<Not sure I understand your comment here.>>

Have a look at my explanations about the radio example in my other posts. I am really interested in what kind of solutions we could come up with for that kind of behaviour. And if Mark Watson is following this: what is the underlying "matrix" solution?

<<Wiretapping. If you say a relay has to be confidential and secure, that
means it can't be a point at which a wiretap is inserted.>>

OK, fair enough.

<<Hope this exchange gets us closer to closure on this stuff. It's important.>>

Absolutely and you continuous efforts to exchange views on this are really appreciated. Let's keep the discussion going!

Guido

Guido Gybels
RNID, Head of ICT
[email-masked]
Tel +44(0)20-7294 3713
Fax +44(0)20-7296 8069
---
Royal National Institute for Deaf People
19-23 Featherstone Street
LONDON EC1Y 8 SL
Phone 020-7296 8000
TextPhone 020-7296 8001
Fax 020-7296 8199

************************************************************************
This email and any files transmitted with it are confidential
and intended solely for the use of the individual or entity to
whom they are addressed. Any views or opinions expressed
are solely those of the author and do not necessarily represent
RNID policy.

If you are not the intended recipient you are advised that any
use, dissemination, forwarding, printing or copying of this
email is strictly prohibited.

If you have received this email in error please notify the RNID
network manager by telephone on: +44 (0) 207 296 8098.
************************************************************************

_______________________________________________
Sipping mailing list  http://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP